<?php


/**
 * This class adds structure of 'node' table to 'propel' DatabaseMap object.
 *
 *
 *
 * These statically-built map classes are used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    plugins.catalyz.lib.model.map
 */
class NodeMapBuilder {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'plugins.catalyz.lib.model.map.NodeMapBuilder';

	/**
	 * The database map.
	 */
	private $dbMap;

	/**
	 * Tells us if this DatabaseMapBuilder is built so that we
	 * don't have to re-build it every time.
	 *
	 * @return     boolean true if this DatabaseMapBuilder is built, false otherwise.
	 */
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	/**
	 * Gets the databasemap this map builder built.
	 *
	 * @return     the databasemap
	 */
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	/**
	 * The doBuild() method builds the DatabaseMap
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('node');
		$tMap->setPhpName('Node');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('IS_PUBLIC', 'IsPublic', 'boolean', CreoleTypes::BOOLEAN, true, null);

		$tMap->addColumn('NODE_CLASS', 'NodeClass', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('URL_PROVIDER', 'UrlProvider', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('OPEN_TARGET_PROVIDER', 'OpenTargetProvider', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('PERMS_TYPE', 'PermsType', 'int', CreoleTypes::TINYINT, false, null);

		$tMap->addColumn('CREDENTIALS', 'Credentials', 'string', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('TREE_LEFT', 'TreeLeft', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('TREE_RIGHT', 'TreeRight', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('TREE_PARENT', 'TreeParent', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('TREE_ID', 'TreeId', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('IS_VISIBLE_IN_MENU', 'IsVisibleInMenu', 'boolean', CreoleTypes::BOOLEAN, true, null);

		$tMap->addColumn('CURRENT_LAYOUT', 'CurrentLayout', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('CURRENT_LAYOUT_TYPE', 'CurrentLayoutType', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

	} // doBuild()

} // NodeMapBuilder
